Zend Eclipse PHP IDE (Plugin)

Zend has a preview release of the new eclipse plugin for PHP. Here is the link to check out the instructions for adding it to your eclipse version. If you have the UPHPU this will not work as the Zend Eclipse PHP IDE plugin requires that you have the full Eclipse SDK with the WST Plugin.

http://www.zend.com/phpide/
If you have the UPHPU Eclipse version you can upgrade your version to the eclipse SDK by using the update manager in eclipse.

Help -> Sofware Updates -> Find and Install. Then you need to grab pretty much all the stuff in there that is for the SDK.

Once you have the SDK then you can add the WebTools package that is required for the Zend Eclipse PHP IDE by setting up a new remote download site with the following values:

Name: WebTools
URL: http://download.eclipse.org/webtools/updates/

Then you can add the Zend Remote Update site with the following values:

Name: PHP IDE
Value: http://downloads.zend.com/phpide/

That will allow you to download and install the plugins. If you need any additional help i will be on irc to answer any install questions.